<?php
/**
 * (c) 2004-2007 Linbox / Free&ALter Soft, http://linbox.com
 * (c) 2007-2010 Mandriva, http://www.mandriva.com
 * (c) 2011 http://www.osinit.ru
 *
 * $Id:
 *
 * This file is part of Mandriva Management Console (MMC).
 *
 * MMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MMC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

function makeFilter($str){
    $filter = trim($str,"*");
    $result = ($filter==null) ? "*" : "*".$filter."*";
    return $result;
}

function getPrincipalsList($filterstr=null) {
    return xmlCall("kerberos.getPrincipalsList", makeFilter($filterstr));
}

function getPrincipalsListWithPolicy($policy) {
    return xmlCall("kerberos.getPrincipalsListWithPolicy", $policy);
}


function getPrincipal($name) {
    return xmlCall("kerberos.getPrincipal", $name);
}

function modifyPrincipal($name, $israndompassw, $passw, $policy, $expdate, $passwexpdate){
    return xmlCall("kerberos.modifyPrincipal", array($name, $israndompassw ,$passw, $policy, $expdate, $passwexpdate));
}

function addPrincipal($name, $israndompassw, $passw, $policy, $expdate, $passwexpdate){
    return xmlCall("kerberos.addPrincipal", array($name, $israndompassw, prepare_string($passw), $policy, $expdate, $passwexpdate));
}

function deletePrincipal($name){
    return xmlCall("kerberos.deletePrincipal", $name);
}

function isPrincipalExists($name){
    return xmlCall("kerberos.isPrincipalExists", $name);
}

function isPrincipalForUser($name){
    return xmlCall("kerberos.isPrincipalForUser", $name);
}

function getPoliciesList($filterstr=null) {
    return xmlCall("kerberos.getPoliciesList",makeFilter($filterstr));
}

function getPolicy($name) {
    return xmlCall("kerberos.getPolicy", $name);
}


function deletePolicy($name){
    return xmlCall("kerberos.deletePolicy", $name);
}

function isPolicyExists($name){
    return xmlCall("kerberos.isPolicyExists", $name);
}

function addPolicy($name, $maxlife, $minlife, $minlength, $minclasses){
    return xmlCall("kerberos.addPolicy", array($name, $maxlife, $minlife, $minlength, $minclasses));
}

function modifyPolicy($name, $maxlife, $minlife, $minlength, $minclasses){
    return xmlCall("kerberos.modifyPolicy", array($name, $maxlife, $minlife, $minlength, $minclasses));
}

function addKeytab($principal, $path){
    return xmlCall("kerberos.addKeytab", array($principal, $path));
}

function deleteKeytab($principal, $path){
    return xmlCall("kerberos.deleteKeytab", array($principal, $path));
}


?>
