<?php
/**
 * (c) 2004-2007 Linbox / Free&ALter Soft, http://linbox.com
 * (c) 2007-2010 Mandriva, http://www.mandriva.com
 * (c) 2011 http://www.osinit.ru
 *
 * $Id:
 *
 * This file is part of Mandriva Management Console (MMC).
 *
 * MMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MMC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
?>
<?php

/**
 * Checks if user has kerberos attributes
 */
  
function hasKrbAttr($uid) {
    return xmlCall("kerberos.isKerberosPrincipal", array($uid));
}

/**
 * Create principal for user and adds it's name to user entry
 */
 
function addKrbAttr($uid, $password, $policy='', $expDate='never', $passExpDate='never') {
    return xmlCall("kerberos.addKerberosAttributes", array($uid, prepare_string($password), $policy, $expDate, $passExpDate));
}
/**
 * Deletes principal for user 
 */

function delKrbAttr($uid) {
    return xmlCall("kerberos.deleteKerberosAttributes", array($uid));
}

/**
 * Changes attributes of user's kerberos principal
 */
 
function changeKrbAttr($uid, $policy='', $expDate='never', $passExpDate='never') {
    return xmlCall("kerberos.changeKerberosAttributes", array($uid, $policy, $expDate, $passExpDate));
}

/**
 * Changes password of user's kerberos principal
 */

function changeKrbPassword($paramsArr) {
    return xmlCall("kerberos.changeKerberosPassword", $paramsArr);
}    

?>