<?php
/**
 * (c) 2004-2007 Linbox / Free&ALter Soft, http://linbox.com
 * (c) 2007-2010 Mandriva, http://www.mandriva.com
 * (c) 2011 http://www.osinit.ru
 *
 * $Id:
 *
 * This file is part of Mandriva Management Console (MMC).
 *
 * MMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MMC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

$mod = new Module("kerberos");
$mod->setVersion("2.4.2.2");
$mod->setRevision('$Rev$');
$mod->setDescription(_T("Kerberos service","kerberos"));
$mod->setAPIVersion("0:2:0");

$submod = new SubModule("kerberos");
$submod->setDescription(_T("Kerberos", "kerberos"));
$submod->setImg('img/navbar/kerberos');
$submod->setDefaultPage("kerberos/kerberos/index"); 

$page = new Page("index", _T("Principals list", "kerberos"));
$submod->addPage($page);
    
$page = new Page("principals", _T("Principals list", "kerberos"));
$page->setOptions(array("visible" => False));
$submod->addPage($page);
    
$page = new Page("editprincipal", _T("Edit principal", "kerberos"));
$page->setOptions(array("visible" => False));
$submod->addPage($page);

$page = new Page("addprincipal",_T("Add a principal", "kerberos"));
$submod->addPage($page);

$page = new Page("deleteprincipal",_T("Delete principal", "kerberos"));
$page->setOptions(array ("noHeader" => True, "visible" => False));
$submod->addPage($page);

$page = new Page("ajaxPrincipalFilter");
$page->setFile("modules/kerberos/kerberos/ajaxPrincipalFilter.php");
$page->setOptions(array("AJAX" => True, "visible" => False));
$submod->addPage($page);

$page = new Page("policies", _T("Policies list", "kerberos"));
$submod->addPage($page);
    
$page = new Page("editpolicy", _T("Edit policy", "kerberos"));
$page->setOptions(array("visible" => False));
$submod->addPage($page);

$page = new Page("addpolicy",_T("Add a policy", "kerberos"));
$submod->addPage($page);

$page = new Page("deletepolicy",_T("Delete policy", "kerberos"));
$page->setOptions(array ("noHeader" => True, "visible" => False));
$submod->addPage($page);

$page = new Page("ajaxPolicyFilter");
$page->setFile("modules/kerberos/kerberos/ajaxPolicyFilter.php");
$page->setOptions(array("AJAX" => True, "visible" => False));
$submod->addPage($page);
    
$page = new Page("ajaxPrincipalRequests");
$page->setFile("modules/kerberos/kerberos/ajaxPrincipalRequests.php");
$page->setOptions(array("AJAX" => True, "visible" => False));
$submod->addPage($page);

$page = new Page("handlekeytab",_T("Keytab handling", "kerberos"));
$page->setOptions(array("visible" => False));
$submod->addPage($page);

$page = new Page("services", _T("Kerberos services management", "kerberos"));
$submod->addPage($page);

$page = new Page("servicestart",_T("Kerberos services start", "kerberos"));
$page->setOptions(array("noHeader" => True, "visible"=>False));
$submod->addPage($page);

$page = new Page("servicestop",_T("Kerberos services stop", "kerberos"));
$page->setOptions(array("noHeader" => True, "visible"=>False));
$submod->addPage($page);

$page = new Page("servicerestart",_T("Kerberos services restart", "kerberos"));
$page->setOptions(array("noHeader" => True, "visible"=>False));
$submod->addPage($page);
    
$mod->addSubmod($submod);

$MMCApp = &MMCApp::getInstance();
$MMCApp->addModule(&$mod);         
?>
