<?php
/**
 * (c) 2004-2007 Linbox / Free&ALter Soft, http://linbox.com
 * (c) 2007-2010 Mandriva, http://www.mandriva.com
 * (c) 2011 http://www.osinit.ru
 *
 * $Id:
 *
 * This file is part of Mandriva Management Console (MMC).
 *
 * MMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MMC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
 
require("../../../includes/config.inc.php");
require("../../../includes/i18n.inc.php");
require("../../../includes/acl.inc.php");
require("../../../includes/session.inc.php");
require("../../../modules/kerberos/includes/kerberos-xmlrpc.inc.php");
require("../../../includes/PageGenerator.php");

$filter = $_GET["filter"];

$policies = getPoliciesList($filter);
sort($policies);

$linksCount = array();

global $conf;
$maxperpage=$conf["global"]["maxperpage"];
$start = isset($_GET["start"])?$_GET["start"]:0;
$itemsatpage = count($policies)-$start>$maxperpage?$maxperpage:count($policies)-$start;
$policiesatpage = array_slice($policies,$start,$itemsatpage);


foreach ($policiesatpage as $p){
    $info = getPolicy($p);
    $linksCount[] = $info["Reference count"];
}


$l = new OptimizedListInfos($policiesatpage, _T("Policies","kerberos"));
$l->setName(_T("Policies","kerberos"));
$l->setNavBar(new AjaxNavBar(count($policies), $filter));
$l->setItemCount(count($policies));
$l->start = 0;
$l->end = count($policiesatpage)-1;

$l->addExtraInfo($linksCount,_T("Links count","kerberos"),0);
$l->addActionItem(new ActionItem(_T("Edit policy", "kerberos"),"editpolicy","edit","policy", "kerberos", "kerberos"));
$l->addActionItem(new ActionPopupItem(_T("Delete policy", "kerberos"),"deletepolicy","delete","policy", "kerberos", "kerberos"));

$l->display();
/*
phpinfo(32);
print_r($policiessatpage);
echo $start." ";
echo $itemsatpage." ";
*/

?>




