<?php
/**
 * (c) 2004-2007 Linbox / Free&ALter Soft, http://linbox.com
 * (c) 2007-2010 Mandriva, http://www.mandriva.com
 * (c) 2011 http://www.osinit.ru
 *
 * $Id:
 *
 * This file is part of Mandriva Management Console (MMC).
 *
 * MMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MMC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

require("../../../includes/config.inc.php");
require("../../../includes/i18n.inc.php");
require("../../../includes/acl.inc.php");
require("../../../includes/session.inc.php");
require("../../../modules/kerberos/includes/kerberos-xmlrpc.inc.php");

function makeResponse($id,$value){
    return sprintf("id=%s&value=%s",$id,$value);
}

function getPolicyMaxLife($policyName){
    $policy = getPolicy($policyName);
    if (isXMLRPCError())
	return 0;
    return $policy["Maximum password life"];
}


 
switch($_REQUEST['request']) {
    case 'getPolicyMaxLife':
	$policy = $_REQUEST['params'];
	$result = getPolicyMaxLife($policy);
    	echo makeResponse("getPolicyMaxLife",$result);
    	
        break;

}



/*$response = makeResponse("testid","testval");
echo $response;*/
?>
