<?php
/**
 * (c) 2004-2007 Linbox / Free&ALter Soft, http://linbox.com
 * (c) 2007-2010 Mandriva, http://www.mandriva.com
 * (c) 2011 http://www.osinit.ru
 *
 * $Id:
 *
 * This file is part of Mandriva Management Console (MMC).
 *
 * MMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MMC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

require_once("modules/kerberos/includes/kerberos-xmlrpc.inc.php");


if (isset($_GET["policy"])) {
  $policy = urldecode($_GET["policy"]);
}

if (isset($_POST["bdel"])) {
    $result = deletePolicy($policy);
    if ($result["deleted"]) {
	$str = sprintf(_T("Policy %s deleted"),"<strong>$policy</strong>");
	new NotifyWidgetSuccess($str);
    } else {
    	$str = sprintf(_T("Can't delete policy %s"),"<strong>$policy</strong>");
	foreach ($result["broken list"] as $principal => $isBroken) {
	    if ($isBroken) 
		$str.= "<br>" . sprintf(_T("Can't break policy link for principal %s"),"<strong>$principal</strong>");
	}
	new NotifyWidgetFailure($str);
    }
    header("location: " . urlStrRedirect("kerberos/kerberos/policies"));
}
/*
$principals = getPrincipalsListWithPolicy($policy);
$tooltip = _T("None");
if ($principals){
    $tooltip = "";
    sort($principals);
    $principalsCount = sizeof($principals);
    for ($i = 0; $i < $principalsCount-1; ++$i)
    	$tooltip.="<strong>$principals[$i]</strong>, ";
    $tooltip.="<strong>".$principals[$principalsCount-1]."</strong>.";
}
*/

$pf = new PopupForm(_T("Delete policy"));
$text = sprintf(_T("You will delete the %s policy"), "<strong>$policy</strong>"). "<br>".
		"<strong>"._T("Attention!")."</strong> ";
$pf->add(new TrFormElement($text, new HiddenTpl("text")));
$text = _T("Principals that used it");
$pf->add(new TrFormElement($text, new HiddenTpl("text")/*,array("tooltip" => "$tooltip")*/));
$text = " "._T("will become without a policy!")."<br>";
$pf->add(new TrFormElement($text, new HiddenTpl("text")));

$pf->addValidateButton("bdel");
$pf->display();    


?>

