<?php
/**
 * (c) 2004-2007 Linbox / Free&ALter Soft, http://linbox.com
 * (c) 2007-2010 Mandriva, http://www.mandriva.com
 * (c) 2011 http://www.osinit.ru
 *
 * $Id:
 *
 * This file is part of Mandriva Management Console (MMC).
 *
 * MMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MMC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

require_once("modules/kerberos/includes/kerberos-xmlrpc.inc.php");


if (isset($_GET["principal"])) {
  $principal = urldecode($_GET["principal"]);
}

if (isset($_POST["bdelprinc"])) {
    $deleted = deletePrincipal($principal);
    if ($deleted) {
	$str = sprintf(_T("Principal %s deleted"),"<strong>$principal</strong>");
	new NotifyWidgetSuccess($str);
    } else {
    	$str = sprintf(_T("Can't delete principal %s"), "<strong>$principal</strong>");
	new NotifyWidgetFailure($str);
    }
    header("location: " . urlStrRedirect("kerberos/kerberos/index"));
}

$pf = new PopupForm(_T("Delete principal"));
$pf->addText(sprintf(_T("You will delete the %s principal"), "<strong>$principal</strong>"));
$pf->addValidateButton("bdelprinc");
$pf->addCancelButton("bback");
$pf->display();    

?>
